import { GraphQLSchema } from 'graphql';
import { AST } from 'graphql-tool-utilities/ast';
export declare type KeyPath = string;
export interface Fixture {
    path: string;
    content: any;
}
export interface Error {
    keyPath?: KeyPath;
    message: string;
}
export interface Validation {
    fixturePath: string;
    operationName?: string;
    operationType?: 'query' | 'mutation' | 'subscription';
    operationPath?: string;
    validationErrors: Error[];
}
export declare function validateFixtureAgainstSchema(fixture: Fixture, schema: GraphQLSchema): Validation;
export declare function validateFixtureAgainstAST(fixture: Fixture, ast: AST): Validation;
